# Class: AdminGetDiscountsDiscountRuleParams

[internal](../modules/internal-7.md).AdminGetDiscountsDiscountRuleParams

## Properties

### allocation

• `Optional` **allocation**: [`AllocationType`](../enums/internal.AllocationType.md)

#### Defined in

medusa/dist/types/discount.d.ts:15

___

### type

• `Optional` **type**: [`DiscountRuleType`](../enums/internal.DiscountRuleType.md)

#### Defined in

medusa/dist/types/discount.d.ts:14
